Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.lowagie.text.pdf
Class AcroFields.RevisionStream

    java.lang.Object
      java.io.InputStream
          com.lowagie.text.pdf.AcroFields.RevisionStream

All Implemented Interfaces:
  Closeable

Enclosing class:
  AcroFields

    private static class AcroFields.RevisionStream

extends InputStream

Field Summary
`private byte[]` | `b`
`private boolean` | `closed`
`private int` | `length`
`private RandomAccessFileOrArray` | `raf`
`private int` | `rangePosition`

Constructor Summary
`private` | `AcroFields.RevisionStream(RandomAccessFileOrArray raf, int length)`

Method Summary
`void` | `close()`
`int` | `read()`
`int` | `read(byte[] b, int off, int len)`

Methods inherited from class java.io.InputStream
`available, mark, markSupported, read, reset, skip`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### b

    private byte[] b

### raf

    private RandomAccessFileOrArray raf

### length

    private int length

### rangePosition

    private int rangePosition

### closed

    private boolean closed

Constructor Detail

### AcroFields.RevisionStream

    private AcroFields.RevisionStream(RandomAccessFileOrArray raf,
                                      int length)

Method Detail

### read

    public int read()
             throws IOException

  Specified by:
    `read` in class `InputStream`
  Throws:
    `IOException`

### read

    public int read(byte[] b,
                    int off,
                    int len)
             throws IOException

  Overrides:
    `read` in class `InputStream`
  Throws:
    `IOException`

### close

    public void close()
               throws IOException

  Specified by:
    `close` in interface `Closeable`
  Overrides:
    `close` in class `InputStream`
  Throws:
    `IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hosted by Hostbasket
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD